<?php

namespace Openguru\OpenCartFramework\Settings;

interface UserSettingsInterface
{
    public function get(string $key, $default = null);
    public function getAll(): array;
    public function update(array $userSettings): void;
    public function safeGet(string $key, $default = null);
}
